Bug 1565360 - [abrt] tb_scan_port: WARNING: CPU: 1 PID: 146 at drivers/thunderbolt/switch.c:482 tb_wait_for_port+0x2f0/0x360 [thunderbolt] [thunderbolt] [NEEDINFO]
Summary: [abrt] tb_scan_port: WARNING: CPU: 1 PID: 146 at drivers/thunderbolt/switch.c...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2fe016ff4461e2304f2fa0754a1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 22:15 UTC by ptrkrs
Modified: 2018-08-29 15:12 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:12:57 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (86.44 KB, text/plain)
2018-04-09 22:15 UTC, ptrkrs
no flags Details

Description ptrkrs 2018-04-09 22:15:26 UTC
Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 1 PID: 146 at drivers/thunderbolt/switch.c:482 tb_wait_for_port+0x2f0/0x360 [thunderbolt]
Modules linked in: intel_uncore(+) snd_hwdep intel_rapl_perf snd_seq snd_seq_device uvcvideo cfg80211 videobuf2_vmalloc snd_pcm videobuf2_memops videobuf2_v4l2 videobuf2_core videodev bcm5974 i2c_i801 media snd_timer joydev thunderbolt snd sbs rfkill acpi_als mei_me kfifo_buf nvmem_core soundcore lpc_ich sbshc industrialio mei apple_gmux shpchp apple_bl dm_crypt hid_apple nouveau mxm_wmi wmi i2c_algo_bit drm_kms_helper ttm crct10dif_pclmul crc32_pclmul crc32c_intel drm sdhci_pci sdhci ghash_clmulni_intel mmc_core video
CPU: 1 PID: 146 Comm: kworker/u16:4 Not tainted 4.15.14-300.fc27.x86_64 #1
Hardware name: Apple Inc. MacBookPro10,1/Mac-C3EC7CD22292981F, BIOS MBP101.88Z.00EE.B0A.1509111559 09/11/2015
Workqueue: thunderbolt0 tb_handle_hotplug [thunderbolt]
RIP: 0010:tb_wait_for_port+0x2f0/0x360 [thunderbolt]
RSP: 0018:ffffa50b8112fe20 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff968eef2568f0
RBP: ffff968ee509e400 R08: 0000000000000428 R09: 0000000000000004
R10: ffffa50b8112fe78 R11: 0000000000000001 R12: 0000000000000000
R13: ffff968ee01f5000 R14: ffff968ee5016b40 R15: ffff968ee030f888
FS:  0000000000000000(0000) GS:ffff968eef240000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fe73b51a140 CR3: 00000001f520a001 CR4: 00000000001606e0
Call Trace:
 tb_scan_port+0x51/0x1b0 [thunderbolt]
 tb_handle_hotplug+0x1da/0x2c0 [thunderbolt]
 process_one_work+0x175/0x390
 worker_thread+0x2e/0x380
 ? process_one_work+0x390/0x390
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 48 8b a8 b0 00 00 00 48 8d b8 a0 00 00 00 e8 f8 6d d4 d1 45 89 e0 48 89 d9 48 89 ea 48 89 c6 48 c7 c7 a8 07 85 c0 e8 10 32 86 d1 <0f> 0b b8 ea ff ff ff e9 c6 fe ff ff 48 8b 87 f8 02 00 00 44 0f

Comment 1 ptrkrs 2018-04-09 22:15:34 UTC
Created attachment 1419611 [details]
File: dmesg

Comment 2 pgambard 2018-05-15 20:05:56 UTC
Description of problem:
ran dnf -y update and rebooted
resulted in a crash

Version-Release number of selected component:
kernel-core-4.16.7-200.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.7-200.fc27.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-6b5f9bd5-2766-4fe1-bd36-81ce9f4aa896 rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: tb_scan_port
kernel:         4.16.7-200.fc27.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 119 at drivers/thunderbolt/switch.c:482 tb_wait_for_port+0x2f0/0x360 [thunderbolt]
Modules linked in: irqbypass intel_cstate applesmc(+) input_polldev intel_uncore intel_rapl_perf btusb uvcvideo btrtl btbcm videobuf2_vmalloc btintel videobuf2_memops videobuf2_v4l2 bluetooth i2c_i801 videobuf2_common ecdh_generic snd_hda_codec_hdmi rfkill snd_hda_codec_cirrus snd_hda_codec_generic videodev bcm5974 media snd_hda_intel snd_hda_codec thunderbolt lpc_ich snd_hda_core nvmem_core bcma snd_hwdep snd_seq snd_seq_device snd_pcm sbs snd_timer acpi_als sbshc kfifo_buf industrialio mei_me snd apple_bl mei shpchp soundcore dm_crypt uas usb_storage hid_apple i915 i2c_algo_bit drm_kms_helper drm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel video
CPU: 0 PID: 119 Comm: kworker/u8:5 Not tainted 4.16.7-200.fc27.x86_64 #1
Hardware name: Apple Inc. MacBookAir5,2/Mac-2E6FAB96566FE58C, BIOS MBA51.88Z.00EF.B03.1506081623 06/08/2015
Workqueue: thunderbolt0 tb_handle_hotplug [thunderbolt]
RIP: 0010:tb_wait_for_port+0x2f0/0x360 [thunderbolt]
RSP: 0018:ffffb88dc120fe20 EFLAGS: 00010282
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff8bb0af2168f0
RBP: ffff8bb0a55ec210 R08: 0000000000000439 R09: 0000000000000004
R10: 0000000000000000 R11: 0000000000000001 R12: 0000000000000000
R13: ffff8bb0a0e98000 R14: ffff8bb0a1577e40 R15: ffff8bb0a3e56848
FS:  0000000000000000(0000) GS:ffff8bb0af200000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fd9ad0c1c68 CR3: 000000018b20a006 CR4: 00000000001606f0
Call Trace:
 tb_scan_port+0x51/0x1b0 [thunderbolt]
 tb_handle_hotplug+0x1da/0x2c0 [thunderbolt]
 process_one_work+0x175/0x360
 worker_thread+0x2e/0x380
 ? process_one_work+0x360/0x360
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 48 8b a8 b0 00 00 00 48 8d b8 a0 00 00 00 e8 d8 2a e2 dd 45 89 e0 48 89 d9 48 89 ea 48 89 c6 48 c7 c7 a8 07 78 c0 e8 d0 45 93 dd <0f> 0b b8 ea ff ff ff e9 c6 fe ff ff 48 8b 87 f8 02 00 00 44 0f

Comment 3 Justin M. Forbes 2018-07-23 15:17:54 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 4 Justin M. Forbes 2018-08-29 15:12:57 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.